ACL_ENTRIES(3)

NAME
acl_entries - return the number of entries in an ACL

LIBRARY
Linux Access Control Lists library (libacl, -lacl).

SYNOPSIS
#include <sys/types.h>
#include <acl/libacl.h>
int
acl_entries(acl_t acl);

DESCRIPTION
The acl_entries() function returns the number of ACL entries that are contained in the ACL referred to by the argument acl.

RETURN VALUE
The acl_entries() function returns the number of entries in acl if successful; otherwise the value -1 is returned and the global variable errno is set to indicate the error.

ERRORS
If any of the following conditions occur, the acl_entries() function returns -1 and sets errno to the corresponding value:

[EINVAL]
    The argument acl is not a valid pointer to an ACL.

STANDARDS
This is a non-portable, Linux specific extension to the ACL manipulation functions defined in IEEE Std 1003.1e draft 17 (“POSIX.1e”, abandoned).

SEE ALSO
acl(5)

AUTHOR
Written by Andreas Gruenbacher <a.gruenbacher@bestbits.at>.